Subject: Re: svn versus git

From: Seth Falcon <[email-masked]>
Date: Thu, 14 Dec 2006 07:55:13 -0800

Shawn Pearce <[email-masked]> writes:

> Andy Parkins <[email-masked]> wrote:
>> svn cat::
>> Output the contents of specified files or URLs.  Optionally at a
>> specific revision.
>> git cat-file -p $(git-ls-tree $REV $file | cut -d " " -f 3 | cut -f 1)::
>
> better:
>
>   git cat-file -p $REV:$file

FWIW, after some amount of git experience, I had a need for git
cat-file and I found it hard to use.  Why?  Because following the
pattern of some other commands, I really expected the following to work:

   git cat-file -p HEAD^2 $file

Since that is similar to

   git diff HEAD^^ $file
   git checkout HEAD $file
   
Where else uses the colon syntax?

My $0.02.